Class Specialization
SwiftLocal
The specialization for the general swift filter that finds epsilon matches between haystack and needle.

Finder | Pattern

Swift

SwiftLocal

Finder<TIndex, Swift<SwiftLocal> >
Pattern<TIndex, Swift<SwiftLocal> >
Include Headers
seqan/index.h
Parameters

TIndex | A q-gram index of needle(s). Types: IndexQGram

Specialization of
Swift
Metafunctions

Container | Type of the container given an iterator. (Finder)
Difference | Type of an object that stores the difference between two iterators. (Finder)
Haystack | Returns the haystack type of a Finder type. (Finder)
Host | Type of the object a given object depends on. (Pattern)
Host | Type of the object a given object depends on. (Pattern)
Iterator | Type of iterator objects that are used to traverse the container. (Finder)
Needle | Returns the needle type of a Pattern type. (Pattern)
ScoringScheme | Returns the scoring scheme of an approximate searching algorithm. (Pattern)
Value | Type of the items in the container. (Finder)

Member Functions

Finder | Constructor (Finder)

Functions

begin | The begin of a container. (Finder)
beginPosition | Begin position of object in host. (Finder)
clear | Resets an object. (Finder)
end | The end of a container. (Finder)
endPosition | End position of object in host. (Finder)
find | Search for a Pattern in a Finder object. (Pattern)
find | Search for a Pattern in a Finder object. (Pattern)
findBegin | Search the begin of an approximate match. (Pattern)
findBegin | Search the begin of an approximate match. (Pattern)
haystack | Returns the haystack of a Finder object. (Finder)
host | The object a given object depends on. (Pattern)
infix | Creates infix object. (Swift)
infix | Creates infix object. (Swift)
length | The number of items/characters. (Finder)
needle | Returns the needle of a Pattern object (not implemented for some online-algorithms). (Pattern)
position | Position of an iterator. (Pattern)
position | Position of an iterator. (Pattern)
positionRange | Returns a pair of the begin and end position in the haystack or needle for the last hit found. (Swift)
positionRange | Returns a pair of the begin and end position in the haystack or needle for the last hit found. (Swift)
positionRangeNoClip | Returns a pair of the begin and end position in or beyond the haystack or needle for the last hit found. (Swift)
positionRangeNoClip | Returns a pair of the begin and end position in or beyond the haystack or needle for the last hit found. (Swift)
scoringScheme | The scoring scheme used for finding or aligning. (Pattern)
setHaystack | Sets the haystack of a Finder object. (Finder)
setNeedle | Sets the needle of a Pattern object and optionally induces preprocessing. (Pattern)
setScoringScheme | Sets the scoring scheme used for finding or aligning. (Pattern)

Example Programs
Index Finder, Index Finder StringSet
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52